countries.h File Reference
Ancillary functions and macros

Provides ancillary code to convert ISO 3166-1 country codes. More...

Go to the source code of this file.

## Enumerations

enum

dvb_country_t {
COUNTRY_UNKNOWN , AD , AE , AF ,
AG , AI , AL , AM ,
AO , AQ , AR , AS ,
AT , AU , AW , AX ,
AZ , BA , BB , BD ,
BE , BF , BG , BH ,
BI , BJ , BL , BM ,
BN , BO , BQ , BR ,
BS , BT , BV , BW ,
BY , BZ , CA , CC ,
CD , CF , CG , CH ,
CI , CK , CL , CM ,
CN , CO , CR , CU ,
CV , CW , CX , CY ,
CZ , DE , DJ , DK ,
DM , DO , DZ , EC ,
EE , EG , EH , ER ,
ES , ET , FI , FJ ,
FK , FM , FO , FR ,
GA , GB , GD , GE ,
GF , GG , GH , GI ,
GL , GM , GN , GP ,
GQ , GR , GS , GT ,
GU , GW , GY , HK ,
HM , HN , HR , HT ,
HU , ID , IE , IL ,
IM , IN , IO , IQ ,
IR , IS , IT , JE ,
JM , JO , JP , KE ,
KG , KH , KI , KM ,
KN , KP , KR , KW ,
KY , KZ , LA , LB ,
LC , LI , LK , LR ,
LS , LT , LU , LV ,
LY , MA , MC , MD ,
ME , MF , MG , MH ,
MK , ML , MM , MN ,
MO , MP , MQ , MR ,
MS , MT , MU , MV ,
MW , MX , MY , MZ ,
NA , NC , NE , NF ,
NG , NI , NL , NO ,
NP , NR , NU , NZ ,
OM , PA , PE , PF ,
PG , PH , PK , PL ,
PM , PN , PR , PS ,
PT , PW , PY , QA ,
RE , RO , RS , RU ,
RW , SA , SB , SC ,
SD , SE , SG , SH ,
SI , SJ , SK , SL ,
SM , SN , SO , SR ,
SS , ST , SV , SX ,
SY , SZ , TC , TD ,
TF , TG , TH , TJ ,
TK , TL , TM , TN ,
TO , TR , TT , TV ,
TW , TZ , UA , UG ,
UM , US , UY , UZ ,
VA , VC , VE , VG ,
VI , VN , VU , WF ,
WS , YE , YT , ZA ,
ZM , ZW
}

| ISO-3166-1 alpha-2 country code. More...

## Functions

enum dvb_country_t | dvb_country_a2_to_id (const char *name)
| Converts an Unix-like 2-letter Country code into enum dvb_country_t.
enum dvb_country_t | dvb_country_a3_to_id (const char *name)
| Converts a 3-letter Country code as used by MPEG-TS tables into enum dvb_country_t.
const char * | dvb_country_to_2letters (int id)
| Converts an enum dvb_country_t into Unix-like 2-letter Country code.
const char * | dvb_country_to_3letters (int id)
| Converts an enum dvb_country_t into a 3-letter Country code as used by MPEG-TS tables.
const char * | dvb_country_to_name (int id)
| Converts an enum dvb_country_t into a Country name as used by MPEG-TS tables.
enum dvb_country_t | dvb_guess_user_country (void)
| Guess the country code from the Unix environment variables.

## Detailed Description

Provides ancillary code to convert ISO 3166-1 country codes.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Winfried Koehler
  Akihiro Tsukada

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file countries.h.